<?php namespace Site21\ShopaholicOfferExtender;

use Backend;
use System\Classes\PluginBase;
use Event;
use Site21\ShopaholicOfferExtender\Classes\Event\Offer\ExtendOfferFieldsHandler;
use Site21\ShopaholicOfferExtender\Classes\Event\Offer\ExtendOfferModel;

/**
 * ShopaholicOfferExtender Plugin Information File
 */
class Plugin extends PluginBase
{
    /**
     * Returns information about this plugin.
     *
     * @return array
     */
    public function pluginDetails()
    {
        return [
            'name'        => 'ShopaholicOfferExtender',
            'description' => 'No description provided yet...',
            'author'      => 'Site21',
            'icon'        => 'icon-leaf'
        ];
    }

    /**
     * Register method, called when the plugin is first registered.
     *
     * @return void
     */
    public function register()
    {

    }

    /**
     * Boot method, called right before the request route.
     *
     * @return array
     */
    public function boot()
    {
	    Event::subscribe(ExtendOfferFieldsHandler::class);
	    Event::subscribe(ExtendOfferModel::class);
    }

    /**
     * Registers any front-end components implemented in this plugin.
     *
     * @return array
     */
    public function registerComponents()
    {
        return [
            'Site21\ShopaholicOfferExtender\Components\OfferPage' => 'OfferPage',
        ];
    }

    /**
     * Registers any back-end permissions used by this plugin.
     *
     * @return array
     */
    public function registerPermissions()
    {
        return []; // Remove this line to activate

        return [
            'site21.shopaholicofferextender.some_permission' => [
                'tab' => 'ShopaholicOfferExtender',
                'label' => 'Some permission'
            ],
        ];
    }

    /**
     * Registers back-end navigation items for this plugin.
     *
     * @return array
     */
    public function registerNavigation()
    {
        return []; // Remove this line to activate

        return [
            'shopaholicofferextender' => [
                'label'       => 'ShopaholicOfferExtender',
                'url'         => Backend::url('site21/shopaholicofferextender/mycontroller'),
                'icon'        => 'icon-leaf',
                'permissions' => ['site21.shopaholicofferextender.*'],
                'order'       => 500,
            ],
        ];
    }
}
