<?php namespace Site21\ShopaholicOfferExtender\Components;

use Event;
use Lovata\Toolbox\Classes\Component\ElementPage;

use Lovata\Shopaholic\Models\Product;

use Lovata\Shopaholic\Models\Offer;
use Lovata\Shopaholic\Classes\Item\OfferItem;


class OfferPage extends ElementPage
{
    protected $bNeedSmartURLCheck = true;

    protected $obElement;
    protected $obElementItem;
    
    
    public function defineProperties()
    {
        $this->arPropertyList = array_merge($this->arPropertyList, $this->getElementPageProperties());

        $this->arPropertyList['product_slug'] = [
            'title'   => 'Slug товара',
        ];

        return $this->arPropertyList;
    }
    

    public function componentDetails()
    {
        return [
            'name'        => 'Страница оффера',
            'description' => '',
        ];
    }


    protected function getElementObject($sElementSlug)
    {   
    	$product_slug = $this->param($this->property('product_slug'));
        if (empty($sElementSlug) || empty($product_slug)) {
            return null;
        }
		$obProduct = Product::active()->getBySlug($product_slug)->first();
		if(empty($obProduct)) {
			return null;	
		}
        $obElement = Offer::active()->where('product_id', $obProduct->id)->where('slug', $sElementSlug)->first();
        //dd($this->param($this->property('product_slug')));
        
        return $obElement;
    }


    protected function makeItem($iElementID, $obElement)
    {
        return OfferItem::make($iElementID, $obElement);
    }
}
